<?php



//recursively copy the asserts - except for swf files, strings.xml, settings.xml
function RECURSE($dirsource) 
{ // recursive function to copy 
  // all subdirectories and contents: 
  if(is_dir($dirsource))$dir_handle=opendir($dirsource);   
  while($file=readdir($dir_handle)) 
  { 
    if($file!="." && $file!=".." && $file!=".svn") 
    { 
      $fname = $dirsource."/".$file;
      if(!is_dir($fname)) 
      {
        //a file.        
        $flen = strlen($fname);
        if ($flen > 70)
          echo "[".$flen."]".$fname."\n";
        
      }
      else RECURSE($fname); 
    } 
  } 
  closedir($dir_handle); 
  return true; 
}


$srcDir = "assets";

RECURSE($srcDir);

?>